<div class="uk-margin-small-bottom">
    <div class="uk-card uk-card-default">
        <div class="uk-card-header uk-padding-small uk-card-primary uk-card uk-padding-small">
            <div uk-grid>
                <div class="uk-width-expand uk-margin-auto-vertical">
                    <div class="uk-flex uk-flex-middle">
                        <a (click)="cancel()" class="uk-icon-button uk-margin-small-right" uk-tooltip="title: CANCEL; pos: top"><span uk-icon="icon: close"></span></a>
                        <p class="uk-margin-remove uk-text-small">NEW GRAND CATEGORY</p>
                    </div>
                </div>
                <div class="uk-width-auto uk-margin-auto-vertical">
                    <a (click)="categoryCreator()"  class="uk-icon-button" uk-tooltip="title: SAVE; pos: left"><span uk-icon="icon: cloud-upload"></span></a>
                </div>
            </div>
        </div>
        <div class="uk-card-body uk-padding-small">
            <!---- ---->
            <div>
                <div class="uk-inline uk-width-1-1">
                    <span class="uk-form-icon" uk-icon="icon: pencil"></span>
                    <input appValidateSpetialCharacters [(ngModel)]="newGrandCategory.title" class="uk-input uk-width-1-1 uk-input-square" placeholder="NAME*" type="text" style="width: 100%">
                </div>
            </div>
            <div>
                <textarea appValidateSpetialCharacters [(ngModel)]="newGrandCategory.desc" class="uk-textarea uk-width-1-1 uk-input-square uk-margin-small-top uk-margin-small-bottom" rows="3" placeholder="DESCRIPTION*" type="textarea" style="width: 100%"></textarea>
            </div>
            <ng-select2  [options]="{multiple: true, closeOnSelect: true, theme: 'classic'}" width="100%" [allowClear]="false" [(ngModel)]="eventSelected" [data]="eventsAll" name="eventSelected" [placeholder]="'SELECT EVENT'">
            </ng-select2>


            <div>
                <div class="uk-grid-small panel-check uk-child-width-auto@l" uk-grid>
                    
                    <div *ngFor="let category of categoriesAll">
                        <label class="check-element">
                            <input (change)="onCheckParameter($event)" [value]="category.id" type="checkbox">
                            <p class="uk-margin-remove">{{category.title}}</p>
                        </label>
                    </div>
                </div>
            </div>
            <!---- ---->
        </div>
    </div>
</div>
<!-- CATEGORY CREATION FORM END -->